Subject: Re: Bug#515982: linux-image-2.6-486: Cannot boot on i486

From: maximilian attems <[email-masked]>
Date: Wed, 18 Feb 2009 17:58:13 +0100

On Wed, Feb 18, 2009 at 05:51:15PM +0100, Bas Wijnen wrote:
> Package: linux-image-2.6-486
> Version: 2.6.26+17
> Severity: Grave
> Justification: Makes package unusable
> 
> Installing lenny on a 486 is not possible, because the installer kernel
> cannot boot.  Upgrading from Etch will work, but only if the old kernel
> continues to be used.
> 
> When trying to boot the kernel, it seems to panic immediately (I can't
> really check, because my hercules monitor doesn't allow scrollback).  I
> copied the crash message (by hand, so it may contain some typos, and I
> left some numbers out; please ask if they are important, it's easy to
> reproduce, if you have the hardware).  Below is the text that's on
> screen after trying to boot.  I also included the output of
> /proc/cpuinfo (when using Etch's 2.6.18 kernel).  The cache is switched
> off to make sure that wasn't the problem; the result is identical if I
> do switch it on.
> 
> Thanks,
> Bas
> 
> Call Trace:
> native_init_IRQ+0x46/0x79
> apply_paravirt+0x81/0x91
> do_IRQ+0x50/0x60
> common_interrupt+0x23/0x30
> vprintk+0x269/0x275
> ktime_get+0xd/0x21
> tick_nohz_stop_sched_tick+0x24f/0x259
> do_IRQ+0x50/0x60
> common_interrupt+0x23/0x30
> alternative_instructions+0x23/0x3c
> check_bugs+0xd2/0xd4
> start_kernel+0x271/0x27e
> =============
> Code: 00 89 c2 fa 90 8d b4 26 00 00 00 00 90 89 c8 89 ef c1 e8 02 89 c1 f3 a5 89 d9 83 e1 03 74 02 f3 a4 89 d0 50 9d 90 8d b4 26 00 00 <00> 00 b8 01 00 00 00 0f a2 5a 89 e8 5b 5e 5f 5d c3 55 31 c9 57
> EIP: [<c010797d>] text_poke_early+0x41/0x52 SS:ESP 0068:c0363eb0
> ---[ end trace 4eaa2a86a8e2da22 ]---
> Kernel panic - not syncing: Attempted to kill the idle task!

can you check if 2.6.28 trunk buildserver images are fine inbetween?
see apt lines http://wiki.debian.org/DebianKernel